Log::Dispatch::Handle(3)

NAME
Log::Dispatch::Handle - Object for logging to IO::Handle classes

VERSION
version 2.44

SYNOPSIS
  use Log::Dispatch;

  my $log = Log::Dispatch->new(
      outputs => [
          [
              'Handle',
              min_level => 'emerg',
              handle    => $io_socket_object,
          ],
      ]
  );

  $log->emerg('I am the Lizard King!');

DESCRIPTION
This module supplies a very simple object for logging to some sort of handle object. Basically, anything that implements a "print()" method can be passed the object constructor and it should work.

CONSTRUCTOR
The constructor takes the following parameters in addition to the standard parameters documented in Log::Dispatch::Output:

•   handle ($)

    The handle object. This object must implement a "print()" method.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)